classification
Title: ctypes not building under OS X 10.6 with LLVM/Clang 2.8
Type: compile error Stage:
Components: Build Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: theller Nosy List: brett.cannon, georg.brandl, jcea, jyasskin, pitrou, theller
Priority: critical Keywords:

Created on 2010-10-29 22:27 by brett.cannon, last changed 2011-01-21 00:05 by brett.cannon. This issue is now closed.

Messages (7)
msg119945 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-10-29 22:27
I get the following output related to the build failure:


/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:153:2: error: unrecognized instruction
 cmovnz %rax, %rdx
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:154:2: error: unrecognized instruction
 cmovnz %r10, %rax
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:156:2: error: unrecognized instruction
 cmovnz %r10, %rdx
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:158:2: error: unrecognized instruction
 cmovnz %r10, %rax
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:159:2: error: unrecognized instruction
 cmovnz %r11, %rdx
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:166:2: error: unrecognized instruction
 rep movsb
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:281:2: error: unrecognized instruction
 cmovnz %rdx, %rcx
 ^
/var/folders/MN/MN-E3HgoFXSKDXb9le7FQ++++TI/-Tmp-/cc-MxvLE7.s:285:2: error: unrecognized instruction
 cmovnz %rdx, %rax
 ^
msg120001 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-10-30 16:38
Not sure this is a blocker. There are various assembler syntaxes for x86 and chances are LLVM uses a different one from gcc.
msg120004 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-30 17:00
I agree, this shouldn't be a blocker.
msg125231 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-03 20:24
This is still failing. I also just confirmed it is also happening for 3.1 and 2.7.
msg126650 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-20 21:43
Filed a bug with LLVM/Clang: http://llvm.org/bugs/show_bug.cgi?id=9014
msg126658 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-20 22:39
Chris Lattner from LLVM says that this has been fixed in their mainline and that to work around it in LLVM 2.8 one should build with the -no-integrated-as flag.
msg126667 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-21 00:05
I have verified that if you add -no-integrated-as as a flag (e.g., through CFLAGS) then ctypes will build.
History
Date User Action Args
2011-01-21 00:05:38brett.cannonsetnosy: brett.cannon, theller, georg.brandl, jcea, pitrou, jyasskin
messages: + msg126667
2011-01-20 22:39:19brett.cannonsetstatus: open -> closed

messages: + msg126658
resolution: fixed
nosy: brett.cannon, theller, georg.brandl, jcea, pitrou, jyasskin
2011-01-20 21:43:02brett.cannonsetnosy: brett.cannon, theller, georg.brandl, jcea, pitrou, jyasskin
messages: + msg126650
2011-01-03 20:28:55pitrousetnosy: + jyasskin
2011-01-03 20:24:06brett.cannonsetnosy: brett.cannon, theller, georg.brandl, jcea, pitrou
messages: + msg125231
versions: + Python 3.1, Python 2.7
2010-11-23 03:50:50jceasetnosy: + jcea
2010-10-30 17:00:33georg.brandlsetpriority: deferred blocker -> critical

messages: + msg120004
2010-10-30 16:38:44pitrousetassignee: theller

messages: + msg120001
nosy: + georg.brandl, pitrou, theller
2010-10-29 22:27:48brett.cannoncreate